Update an account
curl --request PATCH \
--url https://clarus-api.com/api/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "accounts",
"attributes": {
"code": "<string>",
"name": "<string>",
"is_active": true,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
}
}
'import requests
url = "https://clarus-api.com/api/accounts/{id}"
payload = { "data": {
"type": "accounts",
"attributes": {
"code": "<string>",
"name": "<string>",
"is_active": True,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'accounts',
attributes: {
code: '<string>',
name: '<string>',
is_active: true,
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>'
}
}
})
};
fetch('https://clarus-api.com/api/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "accounts",
"attributes": {
"code": "<string>",
"name": "<string>",
"is_active": true,
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"datetime1": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Accounts
Update an account
Update an existing account’s attributes such as name, code, or operational settings.
PATCH
/
api
/
accounts
/
{id}
Update an account
curl --request PATCH \
--url https://clarus-api.com/api/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "accounts",
"attributes": {
"code": "<string>",
"name": "<string>",
"is_active": true,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
}
}
'import requests
url = "https://clarus-api.com/api/accounts/{id}"
payload = { "data": {
"type": "accounts",
"attributes": {
"code": "<string>",
"name": "<string>",
"is_active": True,
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'accounts',
attributes: {
code: '<string>',
name: '<string>',
is_active: true,
string1: '<string>',
string2: '<string>',
string3: '<string>',
string4: '<string>',
string5: '<string>'
}
}
})
};
fetch('https://clarus-api.com/api/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "accounts",
"attributes": {
"code": "<string>",
"name": "<string>",
"is_active": true,
"external_system_reference1": "<string>",
"external_system_reference2": "<string>",
"external_system_reference3": "<string>",
"string1": "<string>",
"string2": "<string>",
"string3": "<string>",
"string4": "<string>",
"string5": "<string>",
"integer1": 123,
"integer2": 123,
"integer3": 123,
"integer4": 123,
"integer5": 123,
"datetime1": "2023-11-07T05:31:56Z",
"datetime2": "2023-11-07T05:31:56Z",
"datetime3": "2023-11-07T05:31:56Z",
"datetime4": "2023-11-07T05:31:56Z",
"datetime5": "2023-11-07T05:31:56Z",
"boolean1": true,
"boolean2": true,
"boolean3": true,
"boolean4": true,
"boolean5": true
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Request Structure
{
"data": {
"type": "accounts",
"attributes": {
"name": "Acme Corp Updated",
"email": "[email protected]",
"is_active": false
}
}
}
Key Fields
| Field | Required | Description |
|---|---|---|
name | No | Updated account name |
email | No | Updated contact email |
is_active | No | Activate or deactivate account |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the account to update
Body
application/json
Show child attributes
Show child attributes
Response
Account updated successfully
Show child attributes
Show child attributes
⌘I

